.\"	$NetBSD: esm.4,v 1.5 2003/01/06 19:18:29 wiz Exp $
.\"
.\" Copyright (c) 2001 Rene Hexel
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd June 22, 2005
.Dt ESM 4
.Os
.Sh NAME
.Nm esm
.Nd ESS Technology Maestro 2/2E PCI Audio Accelerator audio device driver
.Sh SYNOPSIS
.Cd "esm*   at pci? dev ? function ?"
.Cd "audio* at audiobus?"
.Sh DESCRIPTION
The
.Nm
device driver supports sound cards based on ESS Technology Maestro,
Maestro-2, and Maestro-2E PCI AC97 Audio Accelerator chips (ES1968 and ES1978).
Due to their power management capabilities, the Maestro chips are often used
in laptop and notebook systems.
.Pp
The Maestro is a full-duplex device that allows independent playback and
recording at sample rates between 4000 Hz and 48 kHz.
The sound processor is capable of handling and converting 8 and 16 bit mono
and stereo data.
.Sh SEE ALSO
.Xr ac97 4 ,
.Xr audio 4 ,
.Xr joy 4 ,
.Xr mpu 4 ,
.Xr pci 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.6 .
.Sh BUGS
Currently, this driver only supports 16-bit mono recording; an unknown bug
causes stereo recording to miss a channel.
Also not supported yet are hardware volume settings, MIDI, and joystick input.
